# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "af-move-type-derive"
version = "0.3.2"
authors = ["Aftermath Finance <admin@aftermath.finance>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for traits defined in af-move-type."
readme = "README.md"
categories = ["cryptography::cryptocurrencies"]
license = "Apache-2.0"
repository = "https://github.com/AftermathFinance/aftermath-sdk-rust"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--generate-link-to-definition",
    "-Zunstable-options",
]

[lib]
name = "af_move_type_derive"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "tests"
path = "tests/tests.rs"

[dependencies.convert_case]
version = "0.8"

[dependencies.deluxe]
version = "0.5"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.rustversion]
version = "1"

[dependencies.syn]
version = "2.0"
features = ["full"]

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.trybuild]
version = "1"
features = ["diff"]

[lints.clippy]
todo = "warn"
uninlined_format_args = "allow"
unwrap_used = "warn"

[lints.clippy.nursery]
level = "warn"
priority = 1

[lints.clippy.redundant_pub_crate]
level = "allow"
priority = 2
